from PIL import Image
import os
import PIL.ImageOps    


for img in [ i for i in os.listdir() if i.endswith(".png")]:
    image = Image.open(img)
    try:
        if image.mode == 'RGBA':
            r,g,b,a = image.split()
            rgb_image = Image.merge('RGB', (r,g,b))

            inverted_image = PIL.ImageOps.invert(rgb_image)

            r2,g2,b2 = inverted_image.split()

            final_transparent_image = Image.merge('RGBA', (r2,g2,b2,a))
            final_transparent_image.save('{}'.format(img))

        else:
            inverted_image = PIL.ImageOps.invert(image)
            inverted_image.save('{}'.format(img))

    except NotImplementedError as e:
        print('Erreur de traitement de l\'image {}: {}'.format(img, e))
